Bug 197489 - [patch] databases/postgresql94-server: add CPE information
Summary: [patch] databases/postgresql94-server: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-09 16:08 UTC by shun
Modified: 2015-04-03 12:33 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments
Makefile with CPE info added (744 bytes, patch)
2015-02-09 16:08 UTC, shun
no flags Details | Diff
Patch for all (non-deprecated) postgresql ports, adding cpe support (758 bytes, patch)
2015-02-10 08:32 UTC, Palle Girgensohn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2015-02-09 16:08:05 UTC
Created attachment 152804 [details]
Makefile with CPE info added

databases/postgresql94-server has vulnerabilities with a CVE number[0]. This patch adds CPE information as suggested in the FreeBSD wiki[1].

[0] http://www.vuxml.org/freebsd/3b40bf2c-ad83-11e4-a2b2-0026551a22dc.html
[1] https://wiki.freebsd.org/Ports/CPE
Comment 1 Bugzilla Automation freebsd_committer 2015-02-09 16:08:05 UTC
Auto-assigned to maintainer pgsql@FreeBSD.org
Comment 2 Palle Girgensohn freebsd_committer 2015-02-10 08:32:04 UTC
Created attachment 152833 [details]
Patch for all (non-deprecated) postgresql ports, adding cpe support

Hi,

The attached patch is the way I will do this. Does this change the package at all, that is, do I need to bump the PORTREVISION?

Palle
Comment 3 shun 2015-02-10 08:53:56 UTC
(In reply to Palle Girgensohn from comment #2)
Hi Palle,

this does not change the package. It only adds information about the port/package, but does not touch on functionality or the build process.

shun
Comment 4 commit-hook freebsd_committer 2015-04-03 12:32:50 UTC
A commit references this bug:

Author: robak
Date: Fri Apr  3 12:32:07 UTC 2015
New revision: 383112
URL: https://svnweb.freebsd.org/changeset/ports/383112

Log:
  databases/postgresql94-server: add CPE information

  - Maintainer's timeout (pgsql@FreeBSD.org)

  PR:		197489
  Submitted by:	Shun <shun.fbsd.pr@dropcut.net>

Changes:
  head/databases/postgresql94-server/Makefile
Comment 5 Bartek Rutkowski freebsd_committer 2015-04-03 12:33:13 UTC
Committed, thanks for your work!